# Uses of Class
it.tdlight.jni.TdApi.BusinessOpeningHours

## Uses of TdApi.BusinessOpeningHours in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BusinessOpeningHours
Modifier and Type
Field
Description
`TdApi.BusinessOpeningHours`
TdApi.BusinessInfo.`openingHours`
Opening hours of the business; may be null if none.
`TdApi.BusinessOpeningHours`
TdApi.SetBusinessOpeningHours.`openingHours`
The new opening hours of the business; pass null to remove the opening hours.
Constructors in it.tdlight.jni with parameters of type TdApi.BusinessOpeningHours
Modifier
Constructor
Description
``
`BusinessInfo(TdApi.BusinessLocation location, TdApi.BusinessOpeningHours openingHours, TdApi.BusinessGreetingMessageSettings greetingMessageSettings, TdApi.BusinessAwayMessageSettings awayMessageSettings)`
Contains information about a Telegram Business account.
``
`SetBusinessOpeningHours(TdApi.BusinessOpeningHours openingHours)`
Changes the business opening hours of the current user.